Show: Inherited Protected Private Deprecated

# CKEDITOR.plugins.ae_menubridge Class

Defined in: `src/ui/react/src/uibridge/menu.jsx:9`

CKEditor plugin that bridges the support offered by CKEditor Menu plugin. It takes over the responsibility of adding, removing and retrieving menu groups and items

- editor.addMenuGroup(name, order)
- editor.addMenuItem(name, definition)
- editor.addMenuItems(definitions)
- editor.getMenuItem(name)
- editor.removeMenuItem(name)

## Constructor

### `CKEDITOR.plugins.ae_menubridge`

()

Defined in `src/ui/react/src/uibridge/menu.jsx:9`

## Index

### Methods

- addMenuGroup
- addMenuItem
- addMenuItems
- getMenuItem
- init
- removeMenuItem

## Methods

### `init`

(

- `editor`

)

Defined in `src/ui/react/src/uibridge/menu.jsx:22`

Set the add handler for UI_BUTTON to our own. We do this in the init phase to override the one in the native plugin in case it's present.

#### Parameters:

- `editor` Object

  The CKEditor instance being initialized